/* Dummy Prototype Module "nowarn.c"    -*- C -*-  */

/*
#S#
#
# This Program is part of SV (Shelx-output Viewer)
# Copyright (C) 1991-1998 Takashi Nemoto
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details. (File "COPYING")
#
#    Note!: General Public Licence is copyrighted by the Free Software 
#           Foundation,  but this code is copyrighted by me.
#
#    Send bugs and comments to tnemoto@eels.kuicr.kyoto-u.ac.jp
#
#E#
*/

#ifdef sparc
extern int printf(const char *format, ...);
extern int fprintf(FILE *stream, const char *format, ...);
extern FILE *fopen(const char *filename, const char *type);
extern int fclose(FILE *stream);
extern int fflush(FILE *stream);
extern int tolower(int c);
extern int toupper(int c);
extern int puts(const char *s);
extern int fputs(const char *s, FILE *stream);
extern int scanf(const char *format, ...);
extern int fscanf(FILE *stream, const char *format, ...);
extern int sscanf(const char *s, const char *format, ...);
extern int close(int fildes);
/* extern int write(int fildes, const void *buf, unsigned nbyte);*/
#ifndef SEEK_SET
#define SEEK_SET 0
#endif
extern void openpl(void);
extern void erase(void);
extern void label(char *s);
extern void line(int x1,int y1,int x2,int y2);
extern void circle(int x,int y,int r);
extern void arc(int x,int y,int x0,int y0,int x1,int y1);
extern void move(int x,int y);
extern void cont(int x,int y);
extern void point(int x,int y);
extern void linemod(char *s);
extern void space(int x0,int y0,int x1,int y1);
extern void closepl(void);
#endif

