%define	name	sv
%define	version	1.99alpha5
%define	release	1
%define	serial	1
%define	prefix	/usr

Summary:	Shelx Output Viewer "SV"
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	See COPYING in the archive
Group:		Applications/Engineering
Vendor:		Takashi Nemoto <tnemoto@eels.kuicr.kyoto-u.ac.jp>
Url:		http://eels.kuicr.kyoto-u.ac.jp/~tnemoto/sv/download.html
Source:		%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-root

%description 
Shelx Output Viewer "SV"

%prep
%setup -q -n %{name}-%{version}
if [ -f configure ]; then
	CPPFLAGS=$RPM_OPT_FLAGS \
	./configure --prefix=%{prefix};
else
	CPPFLAGS=$RPM_OPT_FLAGS \
	./autogen.sh --prefix=%{prefix};
fi

%build
CPPFLAGS=$RPM_OPT_FLAGS \
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
cd $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README html/*.html html/*.var
%{prefix}

%changelog
