/* Joke  Panic Module    "panic.c"    -*- C -*-  */

/*
#S#
#
# This Program is part of SV (Shelx-output Viewer)
# Copyright (C) 1991-1998 Takashi Nemoto
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details. (File "COPYING")
#
#    Note!: General Public Licence is copyrighted by the Free Software 
#           Foundation,  but this code is copyrighted by me.
#
#    Send bugs and comments to tnemoto@eels.kuicr.kyoto-u.ac.jp
#
#E#
*/

#define __panic_c__
#include "def.h"

#ifdef PANIC
#if !(defined(sparc) || defined(linux))
#error  This machine does not have sparc audio device (/dev/audio)
#endif
#include <fcntl.h>
#include <unistd.h>

SV_Function void panic(void)
{
  int a,b;
  FILE *fp_audio;
  char fname[100],buff[1100];

  sprintf(fname,"%s",PANICFILE);
  fp_audio=ffopen(fname,"r");
  if (fp_audio==NULL) return;
  a=open("/dev/audio",O_WRONLY|O_NDELAY);
  if (a<0) {fclose(fp_audio);return; }
  while(0<(b=fread(buff,1,1024,fp_audio))) write(a,buff,b);
  fclose(fp_audio);
  close(a);
  return;
}
#else /* sun4/linux */
SV_Function void panic(void)
{
}

#endif
